Skip to main content
GET
/
v1
/
identities
List identities
curl --request GET \
  --url https://api.example.com/v1/identities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "local_part": "<string>",
      "email_address": "<string>",
      "display_name": "<string>",
      "reply_to_email": "<string>",
      "signature_text": "<string>",
      "signature_html": "<string>",
      "thread_history_depth": 123,
      "status": "<string>",
      "approval_channel": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

domain_id
string<uuid> | null
status
string | null
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

data
IdentityResponse · object[]
required
total
integer
required
limit
integer
required
offset
integer
required